#817 TexStudio crashes the first time I open it each day

None
fixed
nobody
None
1
2013-10-27
2013-10-05
David
No

The first time I open TexStudio each day, it crashes and gives me a message saying "EXCEPTION_ACCESS_VIOLATION at 62ec91a4 forced kill in 13ed73b8." This happens whether or not I've turned my computer off over night. The second time I try to open TexStudio, it opens fine, but slowly. I have TexStudio set to restore my previous session each time I open it, and at the moment that's 18 different files (although all but 5 of them are included in a master file, which is open as one of the 18).

I'm running version 2.6.2 on a 64-bit Windows 7 computer. I've also attached the backtrace file .

1 Attachments

Related

Bugs: #817

Discussion

  • Jan  Sundermeyer

    Jan Sundermeyer - 2013-10-06

    the backtrace is pretty short.
    Was it the one which you find in the temp directory ?

    Do you get the crash if you start txs without any documents ?
    If it crashes only with all documents restored, can you try to figure out which one causes the crash ?

     
  • David

    David - 2013-10-06

    It didn't crash this morning, so I don't have another backtrace file to send you, and I'm not sure how to force it to crash (all the same documents were open). I guess I'll have to wait until it crashes again and see what I can figure out from that.

     
  • Jan  Sundermeyer

    Jan Sundermeyer - 2013-10-11

    can you provide new iformation ?

     
  • Benito van der Zander

    Since it crashed in a color function, it might help to change some color scheme options (modern<->classic, +- ignore system colors, ...)

     
  • David

    David - 2013-10-12

    Texstudio has crashed a couple times since I last posted. Some after a restart, some not after a restart. The backtrace files have been the same, but without that line about the color function, so I don't think that's the problem, but I'll give it a shot.

    I've also reduced the number of files being opened to 11. 9 of which are part of the same maser file, and 1 which is a separate file, and 1 is the class file for that master file. All together, the master and all the sub-files are fairly large. Not including the class file, its about 2500 lines, but that doesn't account for paragraphs which would be multiple lines if I did a line break every time I got to the edge of the screen. Combined, the .tex files are almost 300 KB, and then about 30 MB of figures is included in the document.

    I'll try to remember to close the document before the next time I restart my computer, just to confirm that it has something to do with this file.

     
    • Tim Hoffmann

      Tim Hoffmann - 2013-10-13

      You can simply deactivate Options -> Automatically Restore Session at next Start. At startup try to manually restore the session via File -> Session -> Restore Previous Session.

       
  • David

    David - 2013-10-14

    I tried turning off the "automatically load included files" option before my most recent restart, and this time it didn't crash. I ended up not changing the color options, because I wanted to see the effect of the load included files option. There were only two files in my large document that I didn't have open when Texstudio opened.

    I do I guess I've solved what makes Texstudio crash, but why that crashes it, I'm not sure.

     
  • Jan  Sundermeyer

    Jan Sundermeyer - 2013-10-14

    anything special about those two files ?
    What happens if you load them manually ? (and close them then ?)

    Am 14.10.2013 17:39, schrieb David:

    I tried turning off the "automatically load included files" option
    before my most recent restart, and this time it didn't crash. I ended
    up not changing the color options, because I wanted to see the effect
    of the load included files option. There were only two files in my
    large document that I didn't have open when Texstudio opened.

    I do I guess I've solved what makes Texstudio crash, but why that
    crashes it, I'm not sure.


    [bugs:#817] TexStudio crashes the first time I open it each day

    Status: open
    Created: Sat Oct 05, 2013 10:13 PM UTC by David
    Last Updated: Sat Oct 12, 2013 08:48 PM UTC
    Owner: nobody

    The first time I open TexStudio each day, it crashes and gives me a
    message saying "EXCEPTION_ACCESS_VIOLATION at 62ec91a4 forced kill in
    13ed73b8." This happens whether or not I've turned my computer off
    over night. The second time I try to open TexStudio, it opens fine,
    but slowly. I have TexStudio set to restore my previous session each
    time I open it, and at the moment that's 18 different files (although
    all but 5 of them are included in a master file, which is open as one
    of the 18).

    I'm running version 2.6.2 on a 64-bit Windows 7 computer. I've also
    attached the backtrace file .


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/texstudio/bugs/817/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #817

  • David

    David - 2013-10-14

    The two files not loaded are probably the smallest files of the document. One is an appendix that just has a \chapter{title} command, a label for that chapter, three sentences, an \ac command for the acronym package, and a %TODO note. The other file is a chapter of the document, but I haven't filled in any text yet. So right now it has one \chapter command, three \section commands, and a label for the chapter and each section. Both of these files are included in the master file with the \input command.

    I tried loading the two files, after restarting texstudio with the "automatically load..." command off, and nothing special happened. I also closed then and nothing happened. I've also restarted Texstudio several times today with the automatic loading option on, and never got any errors.

     
  • Jan  Sundermeyer

    Jan Sundermeyer - 2013-10-16

    so, still no hint, what is causing the crash ?

     
    • David

      David - 2013-10-16

      None. Yesterday Texstudio started crashing each time I opened it, and I tried playing with which files I had open and which ones I had closed, but the problem resolved itself, and I couldn't find any difference in which files caused it to crash and which didn't. I think I may just reinstall Texstudio and see if that solves the problem.

       
  • Jan  Sundermeyer

    Jan Sundermeyer - 2013-10-16

    Can you compile txs yourself ? It is not that difficult and a debugger can get the crashing point with more details.

     
  • David

    David - 2013-10-16

    With detailed instructions, I could. But outside of LaTeX and Matlab, I know very little about coding.

     
  • David

    David - 2013-10-18

    I was having trouble with compiling texstudio, so I'll give that a try.

     
  • David

    David - 2013-10-19

    I restarted my computer last night, which usually means that the next time I open texstudio, it will crash. This time, after installing that new version yesterday, texstudio didn't crash. So I don't have a new backtrace file for you, but maybe whatever the problem was had been fixed in the update.

     
  • Jan  Sundermeyer

    Jan Sundermeyer - 2013-10-23

    can we close the report ?

     
    • David

      David - 2013-10-23

      Do you mind if it's left open until Monday, just in case it crashes between then and now? I've only restarted once since installing the new version, so I'd like to do it a couple more times.

       
  • David

    David - 2013-10-26

    I restarted my computer today, and when I opened Texstudio, it didn't crash. I think something in this new version fixed it, so I guess you can count this bug as solved.

     
  • Jan  Sundermeyer

    Jan Sundermeyer - 2013-10-27
    • status: open --> fixed
    • Group: -->
     

Log in to post a comment.